#include<cstdio>
using namespace std;
long long int n;
int a;
bool d;
int main()
{
    scanf("%lld %d", &n, &a);
    if(n<3*a){
        printf("-1"); return 0;
    }
    if(n%2==0) d=true;
    else d=false;
    printf("%d 0\n", a);
    if(n<4*a){
        if(d){
            printf("%d 0\n%d %d", a, a, n-3*a); return 0;
        }
        else{
            printf("%d 1\n%d %d", a, a, n-3*a-1); return 0;
        }
    }
    if(d){
        printf("%d 0\n%lld %lld", a, n/2-a+1, n/2-a-1); return 0;
    }
    printf("%d 1\n%lld %lld", a, n/2-a+1, n/2-a-1);
    return 0;
}